Name: xenpvboot
Version: 0.1
Release: 7%{?dist}
Summary: A bootloader for Xen paravirtual guests.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization

Source: %{name}-%{version}.tar.gz
Patch1: dummy.patch
Patch2: pylint-code-clean.patch
Patch3: fix-test-case.patch
Patch4: fix-xm-crete-hang.patch
Patch5: patch3745.patch
Patch6: add-license-file.patch
Patch7: add-image-search-path.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4

%description
xenpvboot is a bootloader for Xen paravirtual guests.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/xenpvboot

%changelog
* Wed Aug 31 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-7 
- add kernel image search patch for OL6 and Fedora 10+ [bug 12924872] 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-6 
- add license file [bug 12737215] 

* Mon Jul 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-5 
-  

* Mon Jun 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-4 
- fix xm create hang when specify fake url [bug 10359366] 

* Thu Jun 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3 
- Make test case run. 

* Mon Aug 02 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-2 
- Code clean up using pylint. 

* Thu Jun 24 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
